/* Hero Image Section */

.featured-content {
    background: url('../images/bg-features-section.svg') no-repeat center center;
    background-size: cover;
    padding: 70px 0 40px;
    width: 100vw;
    position: relative
}

.hero-static {
    position: relative;
    width: 100%;
    height: 450px;
    overflow: visible;
}

.hero-static .hero-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    border-radius: 0 0 24px 24px;
}

.hero-static .hero-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
}

.hero-static .hero-overlay .hero-title {
    color: white;
    text-transform: uppercase;
    text-shadow: 0 2px 6px rgba(0, 0, 0, 0.4);
    text-align: center;
    font-weight: 700;
    font-size: 50px;
    line-height: 60px;
}

.hero-static .hero-caption {
    position: absolute;
    bottom: -12%;
    left: 50%;
    transform: translateX(-50%);
    width: 90%;
    max-width: 1290px;
    background: rgba(255, 255, 255, 0.6);
    border-radius: 30px;
    padding: 20px 65px 5px;
    color: var(--text-dark);
    font-weight: 500;
    font-size: 18px;
    line-height: 120%;
    text-align: justify;
    box-shadow: 0px 40px 70px 0px #1C261E14;
    backdrop-filter: blur(30px);
    border: 2px solid white;
    text-align: center;
    min-height: 110px;
    display: flex;
    align-items: center
}


/* Domaines Section */

.domaines-section {
    padding: 15px 0;
    position: relative;
}

.domaines-section .card {
    flex: 1 1 412px;
    background: white;
    border-radius: 30px;
    border: 1px solid #D4D2E3;
    padding: 20px 25px 25px;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.03);
    display: flex;
    flex-direction: column;
    transition: transform 0.2s ease, background-color 0.3s ease;
}

.domaines-section .card:hover {
    transform: translateY(-3px);
    background-color: var(--primary-gold);
    color: white;
    box-shadow: 0px 24px 64px 0px rgba(174, 153, 78, 0.6);
}

.domaines-section .card:hover h3,
.domaines-section .card:hover p,
.domaines-section .card:hover .cta {
    color: white;
}

.domaines-section .card:hover .cta img {
    filter: brightness(0) invert(1);
}

.domaines-section .card h3 {
    font-weight: 700;
    font-size: 20px;
    line-height: 100%;
    color: var(--primary-gold);
    text-align: center;
    margin-bottom: 20px;
}

.domaines-section .card .img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: 30px;
    margin-bottom: 20px;
}

.domaines-section .card p {
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    color: var(--text-dark);
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    max-width: 345px;
    margin-bottom: 15px;
}

.domaines-section .card .cta {
    color: var(--dark-brown);
    text-decoration: none;
    font-family: "DM Sans", sans-serif;
    font-weight: 700;
    font-size: 18px;
    line-height: 18px;
}

.domaines-section .card .cta:hover {
    text-decoration: underline;
    text-underline-offset: 3px;
}

@media (min-width: 768px) {
    .domaines-section .container-desktop {
        max-width: 1300px;
        padding: 0;
        display: flex;
        flex-wrap: wrap;
        gap: 30px;
        justify-content: space-between;
        overflow: visible !important;
    }
    .domaines-section .trace {
        position: absolute;
        right: -27px;
        top: -1.5%;
        transform: scale(.7) translateY(-70%);
        z-index: 2;
    }
    .domaines-section .swiper-wrapper {
        display: contents;
    }
    .domaines-section .swiper-pagination {
        display: none;
    }
}

@media (min-width: 1280px) and (max-width: 1400px) {
    .domaines-section .container-desktop {
        max-width: 1200px;
    }
    .domaines-section .card {
        flex: 1 1 380px;
    }
}

@media (min-width: 1025px) and (max-width: 1279px) {
    .hero-static .hero-caption {
        max-width: 900px;
    }
    .domaines-section .container-desktop {
        max-width: 950px;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .hero-static .hero-caption {
        max-width: 700px;
    }
    .domaines-section .container-desktop {
        max-width: 750px;
    }
    .domaines-section .card {
        flex: 1 1 340px;
    }
    .domaines-section .card .img {
        height: 250px;
    }
}

@media (max-width: 767px) {
    .featured-content {
        position: relative;
        padding: 50px 0 0;
        width: 100vw;
        z-index: 1;
        background: none;
    }
    .featured-content::before {
        content: "";
        position: absolute;
        top: -200px;
        left: 0;
        right: 0;
        height: calc(100% + 200px);
        background: url(../images/bg-features-section-mobile.svg) no-repeat center center;
        background-size: cover;
        z-index: -1;
    }
    .hero-static {
        height: 750px;
        margin-top: -60px;
        margin-bottom: 90px;
    }
    .hero-static .hero-caption {
        bottom: -15%;
        max-width: 90%;
        padding: 20px 16px;
        font-size: 16px;
        text-align: center;
    }
    .hero-static .hero-overlay .hero-title {
        font-size: 36px;
        line-height: 120%;
    }
    .domaines-section {
        padding-bottom: 100px;
    }
    .domaines-section .trace {
        display: none;
    }
    .domaines-section .card {
        position: relative !important;
        margin: 0 !important;
        float: none !important;
        flex: none !important;
        width: 100% !important;
        box-sizing: border-box;
        border-radius: 0px;
        border: none;
        padding: 0 0 70px 0;
        background: #F1F2F2;
        border-bottom: 1px solid #D4D2E3;
    }
    .domaines-section .card .img {
        border-radius: 0;
        order: 1;
    }
    .domaines-section .card h3 {
        order: 2;
        text-align: left;
        padding: 0 25px;
    }
    .domaines-section .card p {
        order: 3;
        padding: 0 25px;
    }
    .domaines-section .card .cta {
        order: 4;
        margin: 0 auto;
        width: fit-content;
        height: 56px;
        border-radius: 30px;
        gap: 8px;
        padding: 0 20px;
        color: white;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: var(--dark-brown);
        text-decoration: none !important;
        margin-top: 10px;
    }
    .domaines-section .card .cta img {
        filter: brightness(0) invert(1);
    }
    .domaines-section .swiper-pagination {
        bottom: 30px;
    }
    .domaines-section .swiper-pagination-bullet {
        background: #333;
        width: 6px;
        height: 6px;
        border-radius: 50%;
        opacity: 1
    }
    .domaines-section .swiper-pagination-bullet-active {
        opacity: 1;
        width: 18px;
        border-radius: 20px;
    }
}
